#include <SetLinesCommand.h>


SetLinesCommand :: SetLinesCommand() :
	name("SetLines")
{
}


string SetLinesCommand :: execute(Projection *projection, Profile *profile)
{
	Gnuplot * gplt = projection->projection();

	float linew = profile->lineWidth();
	gplt->cmd ("set style line 1  lc rgb '#4CC448' lt 1 lw %f", linew); // green
	gplt->cmd ("set style line 2  lc rgb '#0025ad' lt 1 lw %f", linew); // blue
	gplt->cmd ("set style line 3  lc rgb '#FF0000' lt 1 lw %f", linew); // red
	gplt->cmd ("set style line 4  lc rgb '#CC00CC' lt 1 lw %f", linew); // pink
	gplt->cmd ("set style line 5  lc rgb '#CCCC00' lt 1 lw %f", linew); // dark yellow
	gplt->cmd ("set style line 6  lc rgb '#00BFFF' lt 1 lw %f", linew); // light blue
	gplt->cmd ("set style line 7  lc rgb '#4000FF' lt 1 lw %f", linew); // purple

	return "";
}


